<?xml version="1.0" encoding="UTF-8"?>
<DeployMetadata>
  <Id>930231997044014080</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1595944089000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>10MYBGBYHXDU</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>costcompany &lt;&gt; null</Expression>
                                  <Description>如果单据头有费用承担公司，则映射单据头的费用承担公司</Description>
                                  <ExprTran>费用承担公司 &lt;&gt; null</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>costcompany</Expression>
                                  <Description>单据头-费用承担公司</Description>
                                  <ExprTran>费用承担公司</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>0X8O0J9Z9J+W</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>costcompany = null and entrycostcompany &lt;= null</Expression>
                                  <Description>如果费用承担公司在分录，则取分录的费用承担公司</Description>
                                  <ExprTran>费用承担公司 = null and 费用承担公司 &lt;= null</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>entrycostcompany</Expression>
                                  <Description>分录行-费用承担公司</Description>
                                  <ExprTran>费用承担公司</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>0X8O0J=0YOI0</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>project</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetFieldValue('ec_project_f7', 'id', 'number', std_project.number)</Expression>
                          <Description>GetFieldValue('ec_project_f7', 'id', 'number', 项目编</Description>
                          <ExprTran>GetFieldValue('ec_project_f7', 'id', 'number', 项目编号)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>costamt</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>price * exchangerate</Expression>
                          <Description>价款 * 汇率</Description>
                          <ExprTran>价款 * 汇率</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>entrycomment</TargetFieldKey>
                      <SourceFieldKey>remark</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>17</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>0XF43XP+5N1S</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0XF43XP+5F+P</Id>
                                  <Value>E</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0YF6+ZZFEHFQ</Id>
                                  <Value>F</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0YF6+ZZFENI0</Id>
                                  <Value>G</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0YF6+ZZFEHFR</Id>
                                  <Value>I</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>9</CompareType>
                              <FieldName>std_project.number</FieldName>
                              <RightBracket/>
                              <Id>0XF43XP+5N1T</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0XF43XP+5F+Q</Id>
                                  <Value/>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>67</CompareType>
                              <FieldName>iscreateprojectcostshare</FieldName>
                              <RightBracket/>
                              <Id>0XF43XP+5N1U</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0XF43XP+5F+R</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>单据状态不为(审核通过 或 等待付款 或 已付款 或 关闭)；或者项目为空； 或者 已下推。</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>ecco_procostsplit</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>expenseentryentity</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <TargetEntityNumber>ecco_procostsplit</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField>entrycostcompany.number,std_project.number</GroupByField>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>GroupByField</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>对公报销单下推项目综合成本分摊单转换规则</Name>
              <SourceEntityNumber>er_publicreimbursebill</SourceEntityNumber>
              <Id>930231997044014080</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>930231997044014080</Id>
          <InheritPath/>
          <CreateDate>1594092295000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>10000357</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1595944089566</Version>
      <ParentId/>
      <MasterId/>
      <BizappId>10MYBGBYHXDU</BizappId>
      <TargetEntityNumber>ecco_procostsplit</TargetEntityNumber>
      <SourceEntityNumber>er_publicreimbursebill</SourceEntityNumber>
      <Id>930231997044014080</Id>
      <InheritPath/>
      <CreateDate>1594092295000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>