<?xml version="1.0" encoding="UTF-8"?>
<DeployMetadata>
  <Id>935492227688349696</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1595944121000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>10MYBGBYHXDU</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>entrycostcompany</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>project</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetFieldValue('ec_project_f7', 'id', 'number', std_project.number)</Expression>
                          <Description>GetFieldValue('ec_project_f7', 'id', 'number', 项目编</Description>
                          <ExprTran>GetFieldValue('ec_project_f7', 'id', 'number', 项目编号)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>costamt</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>pricetotal</Expression>
                          <Description>价款汇总</Description>
                          <ExprTran>价款汇总</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>17</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>0Y1Q5JR9AU/H</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0Y1Q5JR9=++1</Id>
                                  <Value>E</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0Y2BASRYJ1YF</Id>
                                  <Value>F</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0Y2BASRYGX34</Id>
                                  <Value>G</Value>
                                </FilterValue>
                                <FilterValue>
                                  <Id>0Y2BASRYJ1YG</Id>
                                  <Value>I</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>9</CompareType>
                              <FieldName>std_project.number</FieldName>
                              <RightBracket/>
                              <Id>0Y2BASS03A=N</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0Y2BASS05H3Z</Id>
                                  <Value/>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>67</CompareType>
                              <FieldName>iscreateprojectcostshare</FieldName>
                              <RightBracket/>
                              <Id>0Y544HJ10L+3</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0Y544HJ12RTE</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>单据状态不为(审核通过 或 等待付款 或 已付款 或 关闭)；或者项目为空； 或者 已下推。</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey>entryentity</SourceSubEntryKey>
                  <TargetEntryKey>ecco_procostsplit</TargetEntryKey>
                  <SourceEntryKey>tripentry</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <TargetEntityNumber>ecco_procostsplit</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField>entrycostcompany.number,std_project.number</GroupByField>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>GroupByField</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>差旅报销单下推项目综合成本分摊单转换规则</Name>
              <SourceEntityNumber>er_tripreimbursebill</SourceEntityNumber>
              <Id>935492227688349696</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>935492227688349696</Id>
          <InheritPath/>
          <CreateDate>1594719363000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>10000357</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1595944121242</Version>
      <ParentId/>
      <MasterId/>
      <BizappId>10MYBGBYHXDU</BizappId>
      <TargetEntityNumber>ecco_procostsplit</TargetEntityNumber>
      <SourceEntityNumber>er_tripreimbursebill</SourceEntityNumber>
      <Id>935492227688349696</Id>
      <InheritPath/>
      <CreateDate>1594719363000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>