﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ER_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ER_ISC_SETTING_L') 
 CREATE TABLE T_ER_ISC_SETTING_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ER_ISC_SETTINGENTRY' AND KSQL_COL_NAME ='FDESC') 
 ALTER TABLE T_ER_ISC_SETTINGENTRY ADD (FDESC VARCHAR(255) DEFAULT ' ' NOT NULL );


delete from t_er_isc_settingentry where fid = '693227991505002496';
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139264', '1', 'er_dailyloanbill', 'er_dailyloanbill_8110AAB2', '借款单转换规则');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139265', '2', 'er_dailyapplybill', 'er_dailyapplybill_E76173AD', '借款单转换规则');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139266', '3', 'er_tripreqbill', 'er_tripreqbill_DE853384', '出差申请单转换规则');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139267', '4', 'er_triploanbill', 'er_tripreqbill_7AE53B38', '出差借款单转换规则');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139268', '5', 'er_tripreimbursebill', 'er_tripreimbursebill_C57003BC', '差旅报销单转换规则');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '697558954368139269', '6', 'er_dailyreimbursebill', 'er_dailyreimbursebill_4A44F49F', '费用报销单转换规则');

INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889077315638688768', '7', 'er_tripreqbill_isc_eas_budget', 'KD_tripreqbill(IERP-EAS) ', '出差申请单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407808', '8', 'er_triploanbill_isc_eas_budget', 'KD_tripreqbill(IERP-EAS)_2', '出差借款单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407809', '9', 'er_dailyapplybill_isc_eas_budget', 'KD_dailyapplybill(IERP-EAS) ', '费用申请单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407810', '10', 'er_dailyloanbill_isc_eas_budget', 'KD_dailyloanbill(IERP-EAS) ', '借款申请单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407811', '11', 'er_dailyreimbursebill_isc_eas_budget', 'KD_dailyreimbursebill(IERP-EAS) ', '费用报销单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407812', '12', 'er_tripreimbursebill_isc_eas_budget', 'KD_tripreimbursebil(IERP-EAS) ', '差旅报销单集成EAS预算启动方案编号');
INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889079094300407813', '13', 'er_publicreimbursebill_isc_eas_budget', 'KD_publicreimbursebill(IERP-EAS)', '对公报销单集成EAS预算启动方案编号');


INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889080750857550848', '14', 'is_query_eas_budget_now', 'false', '是否实时查询EAS预算,默认为否:false。可修改为是:true');


INSERT INTO t_er_isc_settingentry (FID, FENTRYID, FSEQ, FKEY, FVALUE, fdesc) VALUES ('693227991505002496', '889080750857550849', '15', 'isc_database_link_number', ' ', '集成云【连接配置-目标系统连接】编号');

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ER_table.sql **/
